{
    "criteria": {
      "requirement": {
        "trigger": "minecraft:using_item",
        "conditions": {
          "item": {
            "components": {
              "minecraft:food": {
                "nutrition": 0,
                "saturation": 0,
                "can_always_eat": true
              },
              "minecraft:consumable": {
                "consume_seconds": 1000001,
                "has_consume_particles": false
              }
            }
          }
        }
      }
    },
    "rewards": {
      "function": "pctf:logic/items/check"
    }
  }